#define relc

Distribution:	CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	free implementation of Windows(tm) on Unix
Name:		wine
Version:	1.2
Release:	5
Group:		Emulators
License:	GNU/LGPL
BuildArch:	i686
Source:		%{name}-%{version}%{?relc:-rc%{relc}}.tar.bz2

Patch1:		wine-cflags.patch
#Patch2:		wine-1.1.43-update-desktop-database.patch
BuildRoot:	/var/tmp/%{name}-%{version}-buildroot
BuildArch:	i686

#BuildRequires:	arts-devel
BuildRequires:	cups-devel
BuildRequires:	freeglut-devel
BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:	libjpeg-devel
BuildRequires:	openldap-devel
BuildRequires:	sane-backends-devel
BuildRequires:	ncurses-devel
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	freetype-devel
BuildRequires:	fontconfig-devel
BuildRequires:	libjpeg-devel
BuildRequires:	giflib-devel
BuildRequires:	openssl-devel
BuildRequires:	hal-devel
BuildRequires:	dbus-devel
BuildRequires:	fontforge
BuildRequires:  libXmu-devel
BuildRequires:  libXxf86vm-devel
BuildRequires:  libXrender-devel
BuildRequires:  libXcursor-devel
BuildRequires:  libXcomposite-devel
BuildRequires:  libXrandr-devel
BuildRequires:  libXinerama-devel
BuildRequires:  libxslt-devel
BuildRequires:  gnutls-devel

BuildRequires:  unixODBC-devel

BuildRequires:  openal-devel
BuildRequires:  mpg123-devel
BuildRequires:  gsm-devel

BuildRequires:  librsvg-devel
BuildRequires:  libpng-devel
BuildRequires:  libv4l-devel

BuildRequires:	libtiff-devel
BuildRequires:  jbigkit-devel

# prevent propietary libGL from being drawn in the hard way
BuildConflicts: xorg-x11-drv-fglrx
BuildConflicts: xorg-x11-drv-nvidia
BuildConflicts: xorg-x11-drv-nvidia-legacy
BuildConflicts: xorg-x11-drv-nvidia-legacy96xx

#Automatically resolved build dependencies
BuildRequires: alsa-lib-devel
BuildRequires: esound-libs-devel
BuildRequires: glibc-devel
BuildRequires: gtk+-devel
BuildRequires: lcms-devel
BuildRequires: libglib-devel
BuildRequires: libgphoto2-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXi-devel
BuildRequires: libxml2-devel
BuildRequires: mesa-libGL-devel
BuildRequires: mesa-libGLU-devel
BuildRequires: openldap-devel
BuildRequires: perl
BuildRequires: perl-XML-Simple

%description
free implementation of Windows(tm) on Unix
try wine-winetools for easy Configuration with wt2

%package	devel
Summary:	wine development headers.and tools
Group:		Emulators
Requires:	wine = %{version}-%{release}

%description	devel
Header, include files and tools for developing applications with wine.

%prep

%setup -q -n %{name}-%{version}%{?relc:-rc%{relc}}

%patch1 -p1
#%patch2 -p1

%build
%configure \
--sysconfdir=%_sysconfdir/%{name} \
--includedir=%_includedir/%{name} \
--with-curses \
--with-x \
--with-opengl
make depend
make %{?_smp_mflags} all

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc documentation/README* ANNOUNCE AUTHORS README 
%{_bindir}/function_grep.pl
%{_bindir}/msiexec
%{_bindir}/notepad
%{_bindir}/regedit
%{_bindir}/regsvr32
%{_bindir}/widl
%{_bindir}/wine
%{_bindir}/wine-preloader
%{_bindir}/wineboot
%{_bindir}/winebuild
%{_bindir}/winecfg
%{_bindir}/wineconsole
%{_bindir}/winedbg
%{_bindir}/winedump
%{_bindir}/winefile
%{_bindir}/winemaker
%{_bindir}/winemine
%{_bindir}/winepath
#%{_bindir}/wineprefixcreate
%{_bindir}/wineserver
%{_bindir}/wmc
%{_bindir}/wrc
%{_mandir}/de.UTF-8/man1/wine.1.gz                     
%{_mandir}/fr.UTF-8/man1/wine.1.gz                     
%{_mandir}/fr.UTF-8/man1/wineserver.1.gz               
%{_mandir}/fr.UTF-8/man1/winemaker.1.gz
%{_mandir}/man1/widl.1.gz                              
%{_mandir}/man1/wine.1.gz                              
%{_mandir}/man1/winebuild.1.gz                         
%{_mandir}/man1/winedbg.1.gz                           
%{_mandir}/man1/winedump.1.gz                          
%{_mandir}/man1/wineg++.1.gz                           
%{_mandir}/man1/winegcc.1.gz                           
%{_mandir}/man1/winemaker.1.gz                         
#%{_mandir}/man1/wineprefixcreate.1.gz                  
%{_mandir}/man1/wineserver.1.gz                        
%{_mandir}/man1/wmc.1.gz                               
%{_mandir}/man1/wrc.1.gz 
%{_mandir}/de.UTF-8/man1/winemaker.1.gz
%{_mandir}/de.UTF-8/man1/wineserver.1.gz
%{_libdir}/libwine.so
%{_libdir}/libwine.so.1
%{_libdir}/libwine.so.1.0
%_libdir/wine
%_datadir/wine
%_applications/wine.desktop

%files devel
%defattr(-,root,root)
%_includedir/wine
%_bindir/%{name}gcc
%_bindir/%{name}g++
%_bindir/%{name}cpp

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Jul 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.2-5
- regular release
* Sat Jul 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.2-4
- rc7
* Sun Jul 04 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.2-3
- rc6
* Sat Jun 19 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.2-2
- rc4
* Thu Jun 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.2-1
- Version update
- rc3
- experimental package branch
* Thu Jun 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.1.44-1
- Version update
* Mon Apr 19 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.1.43-1
- Version update
* Sat Mar 20 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.1.41-1
- Version update
* Tue Mar 16 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.1.40-1
- Version update
* Sun Dec 27 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.1.35-1
- Version update
- dropped deprecated winetools completely
* Sat May 07 2009 Christian Wasem <wasem@ccux-linux.de> 1.1.21-1
- Version update
* Mon Apr 13 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.1.19-1
- Version update
* Sat Feb 14 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.1.15-1
- Version update
* Fri Jan 30 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.1.14-1
- Version update
* Sat Jan 17 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.1.13-1
- Version update
* Mon Jan 05 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.1.12-1
- Version update
* Wed Dec 24 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.11-1
- Version update
* Sat Dec 06 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.10-1
- Version update
* Sat Nov 21 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.9-1
- Version update
* Sat Nov 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.8-1
- Version update
* Sat Oct 25 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.7-1
- Version update
* Fri Oct 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.6-1
- Version update
* Fri Sep 19 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.5-1
- Version update
* Fri Sep 05 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.4-1
- Version update
* Sat Aug 23 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.3-1
- Version update
* Fri Jul 25 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.2-1
- Version update
* Fri Jul 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.1-1
- Version update
* Sat Jun 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.0-1
- Version update
* Wed Jun 18 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0-7
- Version update
- final release
* Sat Jun 14 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0-6
- Version update
- rc5
* Sat Jun 07 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0-5
- Version update
- rc4
* Sat May 31 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0-4
- Version update
- rc3
* Sun May 25 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0-3
- added lzma compression enabled rpm as requirement
* Fri May 23 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0-2
- Version update
- rc2
* Sat May 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0-1
- Version update
- rc1
* Fri May 02 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.9.61-1
- Version update
* Sat Apr 19 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.9.60-1
- Version update
* Fri Apr 04 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.9.59-1
- Version update
* Fri Mar 21 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.9.58-1
- Version update
* Sat Mar 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.9.57-1
- Version update
* Sat Feb 23 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.9.56-1
- Version update
* Fri Feb 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.9.55-1
- Version update
* Sat Jan 26 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.9.54-1
- Version update
* Fri Jan 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.9.53-1
- Version update
* Sat Dec 29 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.52-1
- Version update
* Fri Dec 14 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.51-1
- Version update
* Sat Dec 01 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.50-1
- Version update
* Sat Nov 10 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.49-1
- Version update
* Sat Oct 27 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.48-1
- Version update
* Sat Oct 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.47-1
- Version update
* Sat Sep 29 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.46-1
- Version update
* Thu Sep 20 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.45-2
- set to more conservative CFLAGS
* Sat Sep 15 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.45-1
- Version update
* Sun Aug 26 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.44-1
- Version update
* Sat Aug 11 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.43-1
- Version update
* Mon Jul 30 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.42-1
- Version update
* Sun Jul 15 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.41-1
- Version update
* Sun Jul 08 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.40-1
- Version update
* Fri Jun 15 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.39-1
- Version update
* Mon Jun 04 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.38-1
- Version update
* Sat May 12 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.37-1
- Version update
* Fri Apr 27 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.36-1
- Version update
* Sat Apr 14 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.35-1
- Version update
* Fri Mar 30 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.34-1
- Version update
* Sun Mar 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.33-1
- Version update
* Fri Mar 02 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.32-1
- Version update
* Sat Feb 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.31-1
- Version update
* Wed Feb 07 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.30-1
- Version update
* Mon Dec 25 2006 Christian Metzen <metzench@ccux-linux.de> 0.9.28-1
- Version update
* Fri Dec 01 2006 Christian Metzen <metzench@ccux-linux.de> 0.9.26-1
- Version update
* Sat Nov 11 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.9.25-1
- Version update
* Wed Nov 01 2006 Christian Metzen <metzench@ccux-linux.de> 0.9.24-1
- Version update
* Sun Sep 17 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.9.21-1
- version update of wine
* Tue Sep 12 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.9.20-2
- rebuilt against X.org 7.1.1
* Sun Aug 27 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.9.20-1
- version update of wine
* Mon Aug 21 2006 Simon Schmeisser <mail_to_wrt@gmx.de> 0.9.19-1
- Version update
* Thu Aug 3 2006 Simon Schmeisser <mail_to_wrt@gmx.de> 0.9.18-1
- Version update
* Sat Jul 15 2006 Simon Schmeisser <mail_to_wrt@gmx.de> 0.9.17-1
- Version update, added devel and winetools packages
* Thu Jun 22 2006 Simon Schmeisser <mail_to_wrt@gmx.de> 0.9.16-1
- Version update
* Tue Jun 13 2006 Simon Schmeisser <mail_to_wrt@gmx.de> 0.9.15-1
- Version update
* Thu May 25 2006 Simon Schmeisser <mail_to_wrt@gmx.de> 0.9.14-1
- Version update
* Tue May 16 2006 Simon Schmeisser <mail_to_wrt@gmx.de> 0.9.13-1
- Version update
* Thu Mar 16 2006 Christian Wasem <wasem@ccux-linux.de> 0.9.10-1
- Version update
* Fri Mar 10 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.9.9-1
- version update of wine and the winetools
* Thu Feb 16 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.9.8-1
- version update of wine
* Sat Feb 04 2006 Christian Wasem <wasem@ccux-linux.de> 0.9.7-1
- Version Update of Wine, fixed License and Group
* Fri Jan 20 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.9.6-1
- Version Update of Wine
* Mon Jan 09 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.9.5-2 
- patched WMF vulnerability
* Wed Jan 04 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.9.5-1
- Version Update of Wine, added desktop file
* Tue Dec 27 2005 Christian Wasem <wasem@ccux-linux.de> 0.9.4-2
- rebuilt, tweaked specfile, fixed BUG #0000125
* Sat Dec 24 2005 Karsten Brockmann <arcam@ccux-linux.de> 0.9.4-1
- Version Update
* Sat Dec 10 2005 Karsten Brockmann <arcam@ccux-linux.de> 0.9.3-1
- Version Update
* Sun Nov 06 2005 Karsten Brockmann <arcam@ccux-linux.de> 0.9-1
- Version Update 
* Fri Mar 25 2005 Stefan Gottwald <sg3881@web.de> 
- add winetools to wine RPM for easier Configuration
* Tue Mar 24 2005 Stefan Gottwald <sg3881@web.de>
- Initial Build
